Skip to main content
POST
/
beta
/
industrial
/
jobs
[beta] Create a job
curl --request POST \
  --url https://api.samsara.com/beta/industrial/jobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "job": {
    "endDate": "2019-06-13T19:08:25Z",
    "id": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
    "name": "My Job Name",
    "startDate": "2019-06-13T19:08:25Z",
    "customerName": "Samsara",
    "fleetDeviceIds": [
      1234567,
      654321
    ],
    "industrialAssetIds": [
      "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
      "ba84a7e2-9c8d-481f-a248-7cce6b22be9d"
    ],
    "notes": "These are my notes",
    "ontimeWindowAfterArrivalMs": 300000,
    "ontimeWindowBeforeArrivalMs": 300000
  }
}
'
{
  "data": {
    "address": {
      "address": "1990 Alameda st, San Francisco, Ca 94103",
      "latitude": 37.456345,
      "longitude": 34.5633749,
      "name": "Worksite #1"
    },
    "createdAt": "2019-06-13T19:08:25Z",
    "customerName": "Samsara",
    "endDate": "2019-06-13T19:08:25Z",
    "id": "1553",
    "modifiedAt": "2019-06-13T19:08:25Z",
    "name": "My Job Name",
    "notes": "These are my notes",
    "startDate": "2019-06-13T19:08:25Z",
    "status": "active",
    "uuid": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
    "fleetDevices": [
      {
        "id": 123456,
        "name": "My Device"
      }
    ],
    "industrialAssets": [
      {
        "id": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
        "name": "My asset"
      }
    ],
    "ontimeWindowAfterArrivalMs": 300000,
    "ontimeWindowBeforeArrivalMs": 300000
  },
  "id": "1553",
  "uuid": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596"
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Job object to be created

job
object
required

Job object to be created

Response

OK response.

data
object
required

Job object to be passed back

id
string

The job id of the failed request

Example:

"1553"

uuid
string

The uuid of the failed request

Example:

"8d218e6c-7a16-4f9f-90f7-cc1d93b9e596"